Bug 81690 - Update port: databases/mysql41-server to 4.1.12
Summary: Update port: databases/mysql41-server to 4.1.12
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alex Dupre
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-05-31 04:50 UTC by Marcus Grando
Modified: 2005-06-10 18:30 UTC (History)
1 user (show)

See Also:


Attachments
mysql41-server.patch (3.52 KB, patch)
2005-05-31 04:50 UTC, Marcus Grando
no flags Details | Diff
mysql41-server.patch (3.80 KB, patch)
2005-05-31 23:51 UTC, Marcus Grando
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marcus Grando 2005-05-31 04:50:01 UTC
Update port: databases/mysql41-server to 4.1.12

- Update to 4.1.12
- Remake files/patch-scripts::Makefile.in
- Update docs

Removed files:

files/patch-Docs::Makefile.in

NOTE: I test in 5.4, tomorrow test in 4.11
Comment 1 Pav Lucistnik freebsd_committer 2005-05-31 08:18:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ale

Over to maintainer
Comment 2 Marcus Grando 2005-05-31 23:51:48 UTC
Patch attached...

Update port: databases/mysql41-server to 4.1.12

- Update to 4.1.12
- Remake files/patch-scripts::Makefile.in
- Update docs
- If FreeBSD < 50000 require devel/readline otherwise not. Mysql don't 
compile anymore with readline (4.1) in base system. I think that ports 
version (5.0) is better than mysql version of readline (4.3).

Removed files:

files/patch-Docs::Makefile.in

NOTE: I test in 5.4 and 4.11

-- 
Marcus Grando
Grupos Internet S/A
marcus(at)corp.grupos.com.br
Comment 3 Alex Dupre freebsd_committer 2005-06-08 08:33:39 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 4 twilde 2005-06-10 18:26:36 UTC
The change to use readline5 doesn't work properly on 4.11.  During 
installation, the compile fails:

cc -DDBUG_OFF -O -pipe -D_THREAD_SAFE -I/usr/local/include -O -pipe -D_THREAD_SAFE 
 -I/usr/local/include -felide-constructors -fno-rtti -fno-exceptions -fno-implicit-templates 
 -fno-exceptions -fno-rtti -DMYSQLD_NET_RETRY_COUNT=1000000 -o .libs/mysql 
mysql.o readline.o sql_string.o completion_hash.o  -lreadline -lncurses 
../libmysql/.libs/libmysqlclient.so -lcrypt -lm -lz -Wl,--rpath -Wl,/usr/local/lib/mysql
mysql.o: In function `new_mysql_completion(char const *, int, int)':
mysql.o(.text+0x18b0): undefined reference to `rl_completion_matches'
*** Error code 1

Stop in /usr/ports/databases/mysql41-client/work/mysql-4.1.12/client.
*** Error code 1

Stop in /usr/ports/databases/mysql41-client/work/mysql-4.1.12.
*** Error code 1

Stop in /usr/ports/databases/mysql41-client/work/mysql-4.1.12.
*** Error code 1

Stop in /usr/ports/databases/mysql41-client.

It looks like it's using the /usr/lib version of readline, not the readline5 
version in /usr/local/lib, even though configure succeeded because it used 
that version.

-- 
Tim Wilde
twilde@dyndns.org
Systems Administrator
Dynamic Network Services, Inc.
http://www.dyndns.org/